#ifndef LCF_STR_UTILITY_H_
#define LCF_STR_UTILITY_H_

#define LINE_STR_BUFF 102400
#define FILE_COPY_BUFF 10240

class StrUtility {
    public:
    static char *Mystrpbrk(const char *cs, const char *ct);
    static char *Mystrsep(char **s, const char *ct);
    static void ReplaceCharInString(char *str, char cIn, char cRep);
    static char *memstr(char *full_data, int full_data_len, char *substr);
    static void CleanStringEndNewLine(char *str);
    static void MyCopyFile(char *f1, char *f2);
    static char *GetCurrentDataString();
    static void GetCurrentYYYYMMDDHHMMSS(int *year, int *month, int *day, int *hour, int *minute, int *second);
    static int GetTxtFileCount(const char *txtFileName);
    static char *ReadThisLineStrFromTxtFile(const char *txtFileName, int lineNum);
};

#endif
